> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter um funil de projeto

> Retorna os dados completos de um funil de projeto específico, incluindo todas as suas etapas, configurações de visualização, restrições de fluxo e recursos disponíveis.

**Objetos retornados:**

- **project_funnel**: Dados do funil incluindo:
    
    - **steps**: Etapas sequenciais do funil com suas restrições de movimentação, assistentes de IA, checklists e formulário
        
    - **restrictions**: Regras que controlam a movimentação de itens entre etapas (incoming/outgoing)
        
    - **assistants**: Assistentes de IA configurados para executar ações automatizadas em etapas específicas
        
    - **business_area**: Área de negócio à qual o funil pertence
        
    - **tags**: Etiquetas disponíveis para categorizar itens no funil
        
    - **funnel_status**: Status disponíveis para itens (ex: Urgente) com seus bloqueios de etapa
        
    - **form**: Formulário principal associado ao funil



## OpenAPI

````yaml /api-reference/openapi.json post /api/management/get-project-funnels
openapi: 3.0.0
info:
  title: Olie API
  version: 1.0.0
  description: >
    # Introdução 👋


    Olá! Esta é a documentação oficial da API da [olie.ai](https://olie.ai/).
    Aqui você encontra as referências e exemplos de uso dos nossos endpoints.


    Para uma visão completa, recomendamos fortemente que você leia a
    [documentação oficial](https://docs.olie.ai/api-reference/introduction). Lá
    estão detalhados tópicos essenciais como
    [autenticação](https://docs.olie.ai/api-reference/introduction/authentication),
    [estrutura de
    respostas](https://docs.olie.ai/api-reference/general/response-structure),
    [paginação](https://docs.olie.ai/api-reference/general/pagination) e outros
    guias de integração.


    No Postman, esta coleção foca nas informações específicas de cada requisição
    (endpoints, parâmetros e exemplos), servindo como apoio rápido para testes e
    desenvolvimento.
servers:
  - url: https://api.olie.ai
security:
  - BearerAuth: []
paths:
  /api/management/get-project-funnels:
    post:
      tags:
        - project-funnels
        - get-project-funnels
      summary: Obter um funil de projeto
      description: >-
        Retorna os dados completos de um funil de projeto específico, incluindo
        todas as suas etapas, configurações de visualização, restrições de fluxo
        e recursos disponíveis.


        **Objetos retornados:**


        - **project_funnel**: Dados do funil incluindo:
            
            - **steps**: Etapas sequenciais do funil com suas restrições de movimentação, assistentes de IA, checklists e formulário
                
            - **restrictions**: Regras que controlam a movimentação de itens entre etapas (incoming/outgoing)
                
            - **assistants**: Assistentes de IA configurados para executar ações automatizadas em etapas específicas
                
            - **business_area**: Área de negócio à qual o funil pertence
                
            - **tags**: Etiquetas disponíveis para categorizar itens no funil
                
            - **funnel_status**: Status disponíveis para itens (ex: Urgente) com seus bloqueios de etapa
                
            - **form**: Formulário principal associado ao funil
      operationId: obterFunilDeProjeto
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                project_funnel_id:
                  type: integer
                  description: ID do funil de projeto
              required:
                - project_funnel_id
            example:
              project_funnel_id: 0
      responses:
        '200':
          description: Sucesso
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: '*'
            Cache-Control:
              schema:
                type: string
              example: no-cache, private
            Date:
              schema:
                type: string
              example: Thu, 15 Jan 2026 20:33:09 GMT
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 160
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 159
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                    description: Indica se a requisição foi bem-sucedida
                  project_funnel:
                    type: object
                    description: >-
                      Dados completos do funil de projeto incluindo etapas,
                      restrições, tags e configurações do funil de projeto
                    properties:
                      id:
                        type: integer
                        description: Identificador único do funil de projeto
                      name:
                        type: string
                        description: Nome do funil de projeto
                      prefix:
                        type: string
                        description: >-
                          Prefixo usado na criação de projetos para que o
                          prefixo do código do projeto seja criado com esse
                          prefixo
                      order:
                        type: integer
                        description: Ordem de exibição do funil em relação a outros funis
                      condition:
                        type: string
                        enum:
                          - active
                          - inactive
                        description: Condição atual do funil (ativo ou inativo)
                      business_area_id:
                        type: integer
                        description: ID da área de negócio à qual o funil pertence
                      form_id:
                        type: integer
                        description: ID do formulário associado ao funil (opcional)
                      frame_id:
                        type: string
                        description: UUID do frame/contexto no qual o funil está inserido
                        format: uuid
                      created_at:
                        type: string
                        description: Data e hora de criação do funil
                        format: date-time
                      updated_at:
                        type: string
                        description: Data e hora da última atualização do funil
                        format: date-time
                      deleted_at:
                        type: string
                        description: >-
                          Data e hora de exclusão (soft delete), null se não
                          excluído
                        format: date-time
                      funnel_config_template_id:
                        type: integer
                        description: >-
                          ID do template de configuração (visualização do
                          usuário)
                      access:
                        type: array
                        description: Lista de controles de acesso/permissões para o funil
                        items: {}
                      steps:
                        type: array
                        description: Etapas do funil em ordem sequencial
                        items:
                          description: >-
                            Uma etapa individual do funil com suas configurações
                            e restrições
                          type: object
                          properties:
                            id:
                              type: integer
                              description: ID único da etapa
                            name:
                              type: string
                              description: Nome da etapa do funil
                            project_funnel_id:
                              type: integer
                              description: ID do funil ao qual a etapa pertence
                            sensation_amount:
                              type: integer
                              description: Valor de sensação/peso associado à etapa
                            step_forward_id:
                              type: integer
                              description: ID da etapa seguinte padrão (opcional)
                            step_backward_id:
                              type: integer
                              description: ID da etapa anterior padrão (opcional)
                            order:
                              type: integer
                              description: Ordem sequencial da etapa no funil
                            help_text:
                              type: string
                              description: Texto de ajuda/orientação para a etapa
                            form_id:
                              type: integer
                              description: ID do formulário associado à etapa (opcional)
                            sort_config:
                              type: object
                              description: >-
                                Configuração de ordenação dos itens dentro da
                                etapa
                              properties:
                                field:
                                  type: string
                                  description: Campo usado para ordenação
                                arguments:
                                  type: array
                                  description: Argumentos adicionais para a ordenação
                                  items: {}
                                direction:
                                  type: string
                                  enum:
                                    - asc
                                    - desc
                                  description: >-
                                    Direção da ordenação (ascendente ou
                                    descendente)
                            created_at:
                              type: string
                              description: Data e hora de criação da etapa
                              format: date-time
                            updated_at:
                              type: string
                              description: Data e hora da última atualização da etapa
                              format: date-time
                            checklists:
                              type: array
                              description: Lista de checklists associados à etapa
                              items: {}
                            restrictions:
                              type: array
                              description: Restrições de movimentação de/para esta etapa
                              items:
                                description: >-
                                  Regra que controla a movimentação de itens
                                  entre etapas
                                type: object
                                properties:
                                  id:
                                    type: integer
                                    description: Identificador único da restrição
                                  name:
                                    type: string
                                    description: Nome descritivo da restrição (opcional)
                                  step_id:
                                    type: integer
                                    description: ID da etapa à qual a restrição pertence
                                  direction:
                                    type: string
                                    enum:
                                      - incoming
                                      - outgoing
                                    description: >-
                                      Direção da restrição (entrada ou saída da
                                      etapa)
                                  restriction_type:
                                    type: string
                                    enum:
                                      - step
                                      - filter
                                      - tag
                                      - status
                                    description: Tipo de restrição aplicada
                                  target_step_id:
                                    type: integer
                                    description: >-
                                      ID da etapa alvo (quando restriction_type
                                      é 'step')
                                  target_tag_id:
                                    type: integer
                                    description: >-
                                      ID da tag alvo (quando restriction_type é
                                      'tag')
                                  target_status_id:
                                    type: integer
                                    description: >-
                                      ID do status alvo (quando restriction_type
                                      é 'status')
                                  target_saved_filter_id:
                                    type: string
                                    description: >-
                                      UUID do filtro salvo (quando
                                      restriction_type é 'filter')
                                    format: uuid
                                  hierarchy_scope:
                                    type: string
                                    enum:
                                      - current
                                      - parent
                                      - child
                                      - all
                                    description: Escopo hierárquico da restrição
                                  hierarchy_depth:
                                    type: integer
                                    description: >-
                                      Profundidade hierárquica da restrição
                                      (opcional)
                                  created_at:
                                    type: string
                                    description: Data e hora de criação da restrição
                                    format: date-time
                                  updated_at:
                                    type: string
                                    description: >-
                                      Data e hora da última atualização da
                                      restrição
                                    format: date-time
                            attachments:
                              type: array
                              description: Anexos associados à etapa
                              items: {}
                            assistants:
                              type: array
                              description: Assistentes de IA configurados para esta etapa
                              items:
                                description: >-
                                  Assistente de IA que executa ações
                                  automatizadas na etapa
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: UUID do assistente
                                    format: uuid
                                  name:
                                    type: string
                                    description: Nome do assistente de IA
                                  active:
                                    type: boolean
                                    description: Indica se o assistente está ativo
                                  funnel_step_id:
                                    type: integer
                                    description: ID da etapa à qual o assistente pertence
                                  ai_agent_id:
                                    type: string
                                    description: UUID do agente de IA usado pelo assistente
                                    format: uuid
                                  prompt:
                                    type: string
                                    description: Template do prompt enviado ao agente de IA
                                  execute_on:
                                    type: string
                                    enum:
                                      - manual
                                      - automatic
                                      - scheduled
                                    description: Momento de execução do assistente
                                  manual_execution_enabled:
                                    type: boolean
                                    description: Permite execução manual pelo usuário
                                  result_as_media:
                                    type: boolean
                                    description: Salva o resultado como mídia/anexo
                                  result_as_dynamic_form:
                                    type: object
                                    description: >-
                                      Configuração para transformar resultado em
                                      formulário dinâmico
                                    properties:
                                      edge_id:
                                        type: integer
                                        description: ID da aresta/conexão do formulário
                                      form_id:
                                        type: integer
                                        description: ID do formulário dinâmico
                                      project_id:
                                        type: string
                                        description: >-
                                          Template para ID do projeto (usa
                                          variáveis)
                                      pivot_class:
                                        type: string
                                        description: >-
                                          Classe do modelo pivot para
                                          relacionamento
                                      project_funnel_id:
                                        type: integer
                                        description: ID do funil do projeto
                                  failure_funnel_step_id:
                                    type: integer
                                    description: >-
                                      ID da etapa para onde mover em caso de
                                      falha (opcional)
                                  created_at:
                                    type: string
                                    description: Data e hora de criação do assistente
                                    format: date-time
                                  updated_at:
                                    type: string
                                    description: >-
                                      Data e hora da última atualização do
                                      assistente
                                    format: date-time
                                  deleted_at:
                                    type: string
                                    description: Data e hora de exclusão (soft delete)
                                    format: date-time
                      business_area:
                        type: object
                        description: Área de negócio à qual o funil pertence
                        properties:
                          id:
                            type: integer
                            description: Identificador único da área de negócio
                          name:
                            type: string
                            description: Nome da área de negócio
                          order:
                            type: integer
                            description: Ordem de exibição da área de negócio
                          frame_id:
                            type: string
                            description: UUID do frame/contexto da área
                            format: uuid
                          deleted_at:
                            type: string
                            description: Data e hora de exclusão (soft delete)
                            format: date-time
                      attachments:
                        type: array
                        description: Anexos associados ao funil
                        items: {}
                      form:
                        type: object
                        description: Formulário principal associado ao funil
                        properties:
                          id:
                            type: integer
                            description: Identificador único do formulário
                          title:
                            type: string
                            description: Título do formulário
                      template_projects:
                        type: array
                        description: Projetos template associados ao funil
                        items: {}
                      tags:
                        type: array
                        description: >-
                          Etiquetas/tags disponíveis para categorizar itens no
                          funil
                        items:
                          description: Etiqueta para categorização de itens no funil
                          type: object
                          properties:
                            id:
                              type: integer
                              description: Identificador único da tag
                            name:
                              type: string
                              description: Nome da tag
                            color:
                              type: string
                              pattern: ^#[0-9a-fA-F]{6}$
                              description: Cor da tag em formato hexadecimal
                            project_funnel_id:
                              type: integer
                              description: ID do funil ao qual a tag pertence
                            deleted_at:
                              type: string
                              description: Data e hora de exclusão (soft delete)
                              format: date-time
                            funnel_step_blockings:
                              type: array
                              description: Bloqueios de etapas associados a esta tag
                              items: {}
                      funnel_status:
                        type: array
                        description: Status de funil disponíveis para projetos no funil
                        items:
                          description: Status que pode ser atribuído a projetos no funil
                          type: object
                          properties:
                            id:
                              type: integer
                              description: ID único do status
                            name:
                              type: string
                              description: Nome do status
                            color:
                              type: string
                              pattern: ^#[0-9a-fA-F]{6}$
                              description: Cor do status em formato hexadecimal
                            project_funnel_id:
                              type: integer
                              description: ID do funil ao qual o status pertence
                            is_conclusive:
                              type: boolean
                              description: >-
                                Indica se este status marca o item como
                                concluído no prazo
                            created_at:
                              type: string
                              description: Data e hora de criação do status
                              format: date-time
                            updated_at:
                              type: string
                              description: Data e hora da última atualização do status
                              format: date-time
                            deleted_at:
                              type: string
                              description: Data e hora de exclusão (soft delete)
                              format: date-time
                            funnel_step_blockings:
                              type: array
                              description: >-
                                Bloqueios de etapas quando este status está
                                ativo
                              items:
                                description: >-
                                  Bloqueio que impede movimentação de item em
                                  determinada etapa
                                type: object
                                properties:
                                  id:
                                    type: integer
                                    description: Identificador único do bloqueio
                                  automation_bypass:
                                    type: boolean
                                    description: >-
                                      Permite que automações ignorem este
                                      bloqueio
                                  funnel_step_id:
                                    type: integer
                                    description: ID da etapa bloqueada
                                  funnel_status_id:
                                    type: integer
                                    description: >-
                                      ID do status que causa o bloqueio
                                      (opcional)
                                  funnel_tag_id:
                                    type: integer
                                    description: ID da tag que causa o bloqueio (opcional)
                                  created_at:
                                    type: string
                                    description: Data e hora de criação do bloqueio
                                    format: date-time
                                  updated_at:
                                    type: string
                                    description: >-
                                      Data e hora da última atualização do
                                      bloqueio
                                    format: date-time
                  funnel_view_configs:
                    type: array
                    description: >-
                      Configurações de visualização do funil (visibilidade de
                      campos, botões, etc.)
                    items:
                      description: Uma configuração específica de visualização
                      type: object
                      properties:
                        key:
                          type: string
                          description: >-
                            Chave da configuração (ex: 'card.weight',
                            'info.show.tags')
                        value:
                          description: >-
                            Valor da configuração (pode ser string, boolean ou
                            número)
                          oneOf:
                            - type: string
                            - type: boolean
                            - type: integer
                            - type: number
                        form_edge_id:
                          type: integer
                          description: ID da aresta do formulário relacionada (opcional)
              example: |-
                {
                    "response": true,
                    "project_funnel": {
                        "id": 74,
                        "name": "Desenvolvimento",
                        "prefix": "DL",
                        "order": 0,
                        "condition": "active",
                        "business_area_id": 83,
                        "form_id": 18,
                        "frame_id": "019b329a-4346-7064-bba3-e7c19057cda4",
                        "created_at": "2026-01-09T20:51:29.000000Z",
                        "updated_at": "2026-01-09T20:51:29.000000Z",
                        "deleted_at": null,
                        "funnel_config_template_id": null,
                        "access": [],
                        "steps": [
                            {
                                "id": 441,
                                "name": "Levantamento de Requisitos",
                                "project_funnel_id": 74,
                                "sensation_amount": 0,
                                "step_forward_id": null,
                                "step_backward_id": null,
                                "order": 1,
                                "help_text": "Entender o problema a ser resolvido",
                                "form_id": null,
                                "sort_config": null,
                                "created_at": "2026-01-09T20:51:30.000000Z",
                                "updated_at": "2026-01-09T20:51:30.000000Z",
                                "step_forward": null,
                                "step_backward": null,
                                "checklists": [],
                                "restrictions": [
                                    {
                                        "id": 190,
                                        "name": null,
                                        "step_id": 441,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 442,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    }
                                ],
                                "attachments": [],
                                "form": null,
                                "assistants": []
                            },
                            {
                                "id": 442,
                                "name": "Planejamento",
                                "project_funnel_id": 74,
                                "sensation_amount": 0,
                                "step_forward_id": null,
                                "step_backward_id": null,
                                "order": 2,
                                "help_text": null,
                                "form_id": null,
                                "sort_config": {
                                    "field": "impact",
                                    "arguments": [],
                                    "direction": "desc"
                                },
                                "created_at": "2026-01-09T20:51:30.000000Z",
                                "updated_at": "2026-01-09T20:51:30.000000Z",
                                "step_forward": null,
                                "step_backward": null,
                                "checklists": [],
                                "restrictions": [
                                    {
                                        "id": 191,
                                        "name": null,
                                        "step_id": 442,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 443,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 192,
                                        "name": null,
                                        "step_id": 442,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 444,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 193,
                                        "name": null,
                                        "step_id": 442,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 441,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 194,
                                        "name": null,
                                        "step_id": 442,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 444,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 195,
                                        "name": null,
                                        "step_id": 442,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 443,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 196,
                                        "name": null,
                                        "step_id": 442,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 441,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    }
                                ],
                                "attachments": [],
                                "form": null,
                                "assistants": [
                                    {
                                        "id": "019ba487-5289-734a-ab6f-30fc0c22cf61",
                                        "name": "Gerador de branch",
                                        "active": true,
                                        "funnel_step_id": 442,
                                        "ai_agent_id": "019ba487-5276-7333-968f-90d353740216",
                                        "prompt": "Sugira um nome de branch para: "{{project.name}}"",
                                        "execute_on": "manual",
                                        "manual_execution_enabled": false,
                                        "result_as_media": true,
                                        "result_as_dynamic_form": {
                                            "edge_id": 1,
                                            "form_id": 1,
                                            "project_id": "{{project.id}}",
                                            "pivot_class": "App\\Models\\ProjectFunnelAssignment",
                                            "project_funnel_id": 1
                                        },
                                        "failure_funnel_step_id": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z",
                                        "deleted_at": null
                                    }
                                ]
                            },
                            {
                                "id": 443,
                                "name": "Design",
                                "project_funnel_id": 74,
                                "sensation_amount": 0,
                                "step_forward_id": null,
                                "step_backward_id": null,
                                "order": 3,
                                "help_text": null,
                                "form_id": null,
                                "sort_config": null,
                                "created_at": "2026-01-09T20:51:30.000000Z",
                                "updated_at": "2026-01-09T20:51:30.000000Z",
                                "step_forward": null,
                                "step_backward": null,
                                "checklists": [],
                                "restrictions": [
                                    {
                                        "id": 197,
                                        "name": null,
                                        "step_id": 443,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 442,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 198,
                                        "name": null,
                                        "step_id": 443,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 444,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 199,
                                        "name": null,
                                        "step_id": 443,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 444,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 200,
                                        "name": null,
                                        "step_id": 443,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 442,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 201,
                                        "name": null,
                                        "step_id": 443,
                                        "direction": "incoming",
                                        "restriction_type": "filter",
                                        "target_step_id": null,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": "019ba487-4f91-72d0-82c1-ecd757e034ed",
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    }
                                ],
                                "attachments": [],
                                "form": null,
                                "assistants": []
                            },
                            {
                                "id": 444,
                                "name": "Desenvolvimento",
                                "project_funnel_id": 74,
                                "sensation_amount": 0,
                                "step_forward_id": null,
                                "step_backward_id": null,
                                "order": 4,
                                "help_text": null,
                                "form_id": null,
                                "sort_config": null,
                                "created_at": "2026-01-09T20:51:30.000000Z",
                                "updated_at": "2026-01-09T20:51:30.000000Z",
                                "step_forward": null,
                                "step_backward": null,
                                "checklists": [],
                                "restrictions": [
                                    {
                                        "id": 202,
                                        "name": null,
                                        "step_id": 444,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 442,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 203,
                                        "name": null,
                                        "step_id": 444,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 443,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 204,
                                        "name": null,
                                        "step_id": 444,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 445,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 205,
                                        "name": null,
                                        "step_id": 444,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 442,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 206,
                                        "name": null,
                                        "step_id": 444,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 443,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 207,
                                        "name": null,
                                        "step_id": 444,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 446,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 208,
                                        "name": "Atribua uma etiqueta que defina o item",
                                        "step_id": 444,
                                        "direction": "incoming",
                                        "restriction_type": "filter",
                                        "target_step_id": null,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": "019ba487-4f94-714b-aa68-49f59e07c9ce",
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    }
                                ],
                                "attachments": [],
                                "form": null,
                                "assistants": []
                            },
                            {
                                "id": 445,
                                "name": "Correção",
                                "project_funnel_id": 74,
                                "sensation_amount": 0,
                                "step_forward_id": null,
                                "step_backward_id": null,
                                "order": 5,
                                "help_text": null,
                                "form_id": null,
                                "sort_config": null,
                                "created_at": "2026-01-09T20:51:30.000000Z",
                                "updated_at": "2026-01-09T20:51:30.000000Z",
                                "step_forward": null,
                                "step_backward": null,
                                "checklists": [],
                                "restrictions": [
                                    {
                                        "id": 209,
                                        "name": null,
                                        "step_id": 445,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 446,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 210,
                                        "name": null,
                                        "step_id": 445,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 444,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 211,
                                        "name": null,
                                        "step_id": 445,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 447,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    }
                                ],
                                "attachments": [],
                                "form": null,
                                "assistants": []
                            },
                            {
                                "id": 446,
                                "name": "Testes",
                                "project_funnel_id": 74,
                                "sensation_amount": 0,
                                "step_forward_id": null,
                                "step_backward_id": null,
                                "order": 6,
                                "help_text": null,
                                "form_id": null,
                                "sort_config": null,
                                "created_at": "2026-01-09T20:51:30.000000Z",
                                "updated_at": "2026-01-09T20:51:30.000000Z",
                                "step_forward": null,
                                "step_backward": null,
                                "checklists": [],
                                "restrictions": [
                                    {
                                        "id": 212,
                                        "name": null,
                                        "step_id": 446,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 444,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 213,
                                        "name": null,
                                        "step_id": 446,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 447,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 214,
                                        "name": null,
                                        "step_id": 446,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 445,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    }
                                ],
                                "attachments": [],
                                "form": null,
                                "assistants": []
                            },
                            {
                                "id": 447,
                                "name": "Finalizado",
                                "project_funnel_id": 74,
                                "sensation_amount": 0,
                                "step_forward_id": null,
                                "step_backward_id": null,
                                "order": 7,
                                "help_text": null,
                                "form_id": null,
                                "sort_config": null,
                                "created_at": "2026-01-09T20:51:30.000000Z",
                                "updated_at": "2026-01-09T20:51:30.000000Z",
                                "step_forward": null,
                                "step_backward": null,
                                "checklists": [],
                                "restrictions": [
                                    {
                                        "id": 215,
                                        "name": null,
                                        "step_id": 447,
                                        "direction": "incoming",
                                        "restriction_type": "step",
                                        "target_step_id": 446,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    },
                                    {
                                        "id": 216,
                                        "name": null,
                                        "step_id": 447,
                                        "direction": "outgoing",
                                        "restriction_type": "step",
                                        "target_step_id": 445,
                                        "target_tag_id": null,
                                        "target_status_id": null,
                                        "target_saved_filter_id": null,
                                        "target_filter": null,
                                        "hierarchy_scope": "current",
                                        "hierarchy_depth": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    }
                                ],
                                "attachments": [],
                                "form": null,
                                "assistants": []
                            }
                        ],
                        "business_area": {
                            "id": 83,
                            "name": "Desenvolvimento de software",
                            "order": 4,
                            "frame_id": "019b329a-4346-7064-bba3-e7c19057cda4",
                            "deleted_at": null
                        },
                        "attachments": [],
                        "form": {
                            "id": 18,
                            "title": "Informações adicionais do desenvolvimento"
                        },
                        "template_projects": [],
                        "tags": [
                            {
                                "id": 22,
                                "name": "Função",
                                "color": "#28a745",
                                "project_funnel_id": 74,
                                "deleted_at": null,
                                "funnel_step_blockings": []
                            },
                            {
                                "id": 23,
                                "name": "Bug",
                                "color": "#ff8d92",
                                "project_funnel_id": 74,
                                "deleted_at": null,
                                "funnel_step_blockings": []
                            },
                            {
                                "id": 24,
                                "name": "Ajuste",
                                "color": "#258aff",
                                "project_funnel_id": 74,
                                "deleted_at": null,
                                "funnel_step_blockings": []
                            }
                        ],
                        "funnel_status": [
                            {
                                "id": 8,
                                "name": "Urgente",
                                "color": "#dc3545",
                                "project_funnel_id": 74,
                                "is_conclusive": false,
                                "created_at": "2026-01-09T20:51:30.000000Z",
                                "updated_at": "2026-01-09T20:51:30.000000Z",
                                "deleted_at": null,
                                "funnel_step_blockings": [
                                    {
                                        "id": 8,
                                        "automation_bypass": false,
                                        "funnel_step_id": 447,
                                        "funnel_status_id": 8,
                                        "funnel_tag_id": null,
                                        "created_at": "2026-01-09T20:51:30.000000Z",
                                        "updated_at": "2026-01-09T20:51:30.000000Z"
                                    }
                                ]
                            }
                        ]
                    },
                    "funnel_view_configs": [
                        {
                            "key": "card.weight",
                            "value": "medium",
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.tags",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.task_summary",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.customer",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.contact",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.assigned_to",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.created_by",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.impact",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.status",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.budget",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.expected_cost",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.elapsed_cost",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.costs_per_user",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.created_at",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.description",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.forecast_date",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "info.show.groups",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show_buttons_on_hover",
                            "value": false,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show.content",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show.funnel_tags",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show.collect_data",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show.checklists",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show.files",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show.forms",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show.project_edit",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show.hierarchy",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show.forum",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show.funnel_status",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "buttons.show.copy_link",
                            "value": true,
                            "form_edge_id": null
                        },
                        {
                            "key": "df_project_funnel",
                            "value": true,
                            "form_edge_id": 61
                        },
                        {
                            "key": "df_project_funnel",
                            "value": true,
                            "form_edge_id": 62
                        },
                        {
                            "key": "df_project_funnel",
                            "value": true,
                            "form_edge_id": 63
                        }
                    ]
                }
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````